package com.youchain.modules.jimu;

import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.jmreport.desreport.render.handler.convert.ApiDataConvertAdapter;
import org.springframework.stereotype.Component;

@Slf4j
@Component("myApiDataConvertAdapter")
public class MyApiDataConvertAdapter implements ApiDataConvertAdapter {
    /**
     * 返回list数据集
     * @param jsonObject 接口数据原始对象
     * @return
     */
    @Override
    public String getData(JSONObject jsonObject) {
        log.error(jsonObject.toJSONString());
        if(jsonObject.containsKey("content")){
            return jsonObject.getString("content");
        }else{
            return null;
        }

    }

    /**
     * 返回links
     * @param jsonObject 接口数据原始对象
     * @return
     */
    @Override
    public String getLinks(JSONObject jsonObject) {
        return null;
    }

    /**
     * 返回总页数
     * @param jsonObject 接口数据原始对象
     * @return
     */
    @Override
    public String getTotal(JSONObject jsonObject) {
           return null;
    }

    /**
     * 返回总条数
     * @param jsonObject 接口数据原始对象
     * @return
     */
    @Override
    public String getCount(JSONObject jsonObject) {
        return null;
    }
}
